import '@material/web/icon/icon.js';
import '@material/web/switch/switch.js';
import '@operato/i18n/ox-i18n.js';
import '@things-factory/setting-base';
import './notification-sender';
import { LitElement } from 'lit';
declare const NotificationSettingLet_base: (new (...args: any[]) => LitElement) & typeof LitElement;
export declare class NotificationSettingLet extends NotificationSettingLet_base {
    static styles: import("lit").CSSResult[];
    subscription?: any;
    supported?: boolean;
    clipboard: any;
    render(): import("lit-html").TemplateResult<1>;
    updated(changes: any): void;
    connectedCallback(): Promise<void>;
    onClickSwitch(e: any): Promise<void>;
    ontest(): void;
}
export {};
